org.eclipse.ease.modules

## Annotation Type WrapToScript

    @Retention(value=RUNTIME)
     @Target(value={METHOD,FIELD})
    public @interface WrapToScript

Annotation indicating that the annotated method should be wrapped to the target script language. Wrappers add script code that automatically calls the annotated Java method.

### Field Summary

Fields
`static java.lang.String` `DELIMITER` Delimiter for alias names.

### Optional Element Summary

Optional Elements
`java.lang.String` `alias` Defines alias names for the same command.
`java.lang.String` `supportedLanguages` Provide a list of supported script languages.

### Field Detail

#### DELIMITER

    public static final java.lang.String DELIMITER

Delimiter for alias names.

### Element Detail

#### alias

    public abstract java.lang.String alias

Defines alias names for the same command. Names are delimited by ";"

Default:
  ""

#### supportedLanguages

    public abstract java.lang.String supportedLanguages

Provide a list of supported script languages. Language names shall match the name field of the scriptType extension point. Multiple languages may be provided via a comma separated list. Explicitly excluding a language is supported via !scriptType. Mixing include and exclude patterns is not supported. By default all languages will be supported.

Default:
  ""